We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy.
Unfortunately, activation email could not send to your email. Please try again.

Print issue

Thread ID:

Created:

Updated:

Platform:

Replies:

117342 Sep 30,2014 02:13 PM Oct 13,2014 05:45 AM WinRT 1
loading
Tags: SfDataGrid
Christopher Biggs
Asked On September 30, 2014 02:13 PM

I'm having an issue printing any data grids after an initial grid has been printed.
In the case of my app, the first data grid that is printed will always be printed after even though I'm printing a different data grid.

It appears that the PrintManagerBase is holding onto the initial data grid that created it, and unfortunately I cannot replace this with a new instance or I receive an error stating that the PrintTaskRequested event has already been registered.

Is there away to un-register the PrintManagerBase so that a new one can be created or a way to update the data grid associated with it so that the correct data is printed.

I can also sort of reproduce this in the Essentials Studio local samples app by going to the data grid print section, printing the grid, going to another section then back, grouping the grid, and then attempting to print again. In this case the print preview screen simply shows a progress ring and nothing will print.

Ashok N [Syncfusion]
Replied On October 13, 2014 05:45 AM

Hi Christopher,


Thanks for contacting Syncfusion support.

We were able to reproduce the problem and have logged defect report regarding this. The fix for this issue will be included in our upcoming Service pack release.

 

Please let me know if you have any questions.

Thanks,

Ashok


CONFIRMATION

This post will be permanently deleted. Are you sure you want to continue?

Sorry, An error occured while processing your request. Please try again later.

You are using an outdated version of Internet Explorer that may not display all features of this and other websites. Upgrade to Internet Explorer 8 or newer for a better experience.

;